Subject: RE: Cygwin: texi2dvi stumbles over texinfo.tex (was: failed checks for automake 1.9.6)
From: "Dave Korn" <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>, <[email-masked]>
Date: Tue, 23 May 2006 14:41:51 +0100

On 23 May 2006 13:13, Ralf Wildenhues wrote:

[ As per cygwin-L tradition, I am replying only to the lists; Ralf, if you see
this and Karl does not, please feel free to forward it. ]

> In the Automake testsuite, we're experiencing a bug with texi2dvi on
> Cygwin that looks like a problem with the Cygwin TeX distribution or
> setup.  See Karl's comments and the cited references for details.  It
> would be greatly appreciated if you could take a look -- thanks!

>>>/cygdrive/e/Programme/GNU/automake-1.9.6/tests/testSubDir/txinfo3-1.0/missi
ng
>>>  --run makeinfo   -I +..' \ texi2dvi ../textutils.texi This is e-TeXk,
>>> Version 3.141592-2.2 (Web2C 7.5.4) file:line:error style messages
>>> enabled. %&-line parsing enabled. ---! /var/lib/texmf/web2c/etex.fmt was
>>> written by pdfetex  

  Oops.  Pardon wrapping!

>> I believe it's a Cygwin problem and/or TeX installation problem on the
>> particular machine.  In essence, texi2dvi is doing this:
>>   echo '\input texinfo @bye' >txiversion.tex
>>   tex txiversion.tex
>> 
>> The error message from TeX means that the binary ("tex", which was
>> hardwired) being run is trying to load a .fmt that was written by
>> something else ("etex").  It has nothing to do with the contents of the
>> file.  

  Ok, you got me curious.  How does TeX know what application wrote the file
if it's not "to do with" the contents of that file?

  However, I've observed problems with cygwin's web2c/... files before, the
perms can get messed up somehow and need chowning; they can end up owned by
'None', which means that everyone gets the O (out of UGO) perms, which in a
lot of cases are '---', ie. access for user and group only.  See 

http://www.cygwin.com/ml/cygwin/2004-03/msg00454.html

for more; I don't know if this is the cause of your problem but I guess it's
worth checking the perms on the relevant machine.

    cheers,
      DaveK
-- 
Can't think of a witty .sigline today....

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/